const fs = require('fs');
const {PubgAPI, SEASON, REGION} = require('./');

const api = new PubgAPI({apikey: process.env.PUBG_APIKEY});

const nicknames = ['fak3zito', 'brakal', 'twitchbladecito', 'twitchfokyta'];

nicknames.forEach((nickname) => {
  api.getProfileByNickname(nickname)
    .then((profile) => {
      const allAtats = profile.getStatsForAllMatches({
        region: REGION.EU,
      });
      const matchHistory = profile.getMatchHistory();
      fs.writeFileSync(`./testing-accounts/${nickname}.json`, JSON.stringify(allAtats, null, 2));
      fs.writeFileSync(`./testing-accounts/${nickname}-content.json`, JSON.stringify(profile.content, null, 2))
      fs.writeFileSync(`./testing-accounts/${nickname}-match-history.json`, JSON.stringify(matchHistory, null, 2))
    });
});